### overridden buffer class for graphics 
package gfxbuffer;

use base 'buffer';

sub new 
{
    my $self = shift;
    $self->SUPER::buffer();               

    ### $self->{bytes} = ();
}

### NOTE : returns a reference
sub ref_gfx_byte
{
	my ($self, $index) = @_;

	my $byt = $self->{bytes}[$index];	
	return \$byt;
}

1;
